com.sun.grid.jgdi.util.shell

## Class Util

- java.lang.Object
- - com.sun.grid.jgdi.util.shell.Util

-     public class Util
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PATTERN_COMMA_SEPARATOR`
    `static java.lang.String` | `PATTERN_COMMA_SPACE_SEPARATOR`
    `static java.lang.String` | `PATTERN_DATE_TIME`
    `static java.lang.String` | `PATTERN_HOST`
    `static java.lang.String` | `PATTERN_HOSTGROUP`
    `static java.lang.String` | `PATTERN_PARALLEL_ENV`
    `static java.lang.String` | `PATTERN_RANGE`
    `static java.lang.String` | `PATTERN_SEPARATOR`
    `static java.lang.String` | `PATTERN_SINGLE_RANGE`
    `static java.lang.String` | `PATTERN_TIME`
    `static java.lang.String` | `PATTERN_YES_NO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getDateAndTimeAsString(int time)`
    `static int` | `getDateTimeAsInt(java.lang.String ts)`
    `static int` | `getMailOptionsAsInt(java.lang.String val)`
    `static java.lang.String` | `getMailOptionsAsString(int val)`
    `static int` | `getTimeAsInt(java.lang.String duration)`
    `static java.lang.String` | `getTimeAsString(int secs)`
    `static int` | `getYesNoAsInt(java.lang.String str)`
    `static java.lang.String` | `getYesNoAsString(int val)`
    `static int` | `getYesNoJobAsInt(java.lang.String str)`
    `static java.lang.String` | `getYesNoJobAsString(int val)`
    `static boolean` | `isYes(java.lang.String str)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATTERN_SEPARATOR

          public static final java.lang.String PATTERN_SEPARATOR

      See Also:
        Constant Field Values

    - #### PATTERN_COMMA_SEPARATOR

          public static final java.lang.String PATTERN_COMMA_SEPARATOR

      See Also:
        Constant Field Values

    - #### PATTERN_COMMA_SPACE_SEPARATOR

          public static final java.lang.String PATTERN_COMMA_SPACE_SEPARATOR

      See Also:
        Constant Field Values

    - #### PATTERN_SINGLE_RANGE

          public static final java.lang.String PATTERN_SINGLE_RANGE

      See Also:
        Constant Field Values

    - #### PATTERN_RANGE

          public static final java.lang.String PATTERN_RANGE

      See Also:
        Constant Field Values

    - #### PATTERN_HOST

          public static final java.lang.String PATTERN_HOST

      See Also:
        Constant Field Values

    - #### PATTERN_HOSTGROUP

          public static final java.lang.String PATTERN_HOSTGROUP

      See Also:
        Constant Field Values

    - #### PATTERN_PARALLEL_ENV

          public static final java.lang.String PATTERN_PARALLEL_ENV

      See Also:
        Constant Field Values

    - #### PATTERN_DATE_TIME

          public static final java.lang.String PATTERN_DATE_TIME

      See Also:
        Constant Field Values

    - #### PATTERN_TIME

          public static final java.lang.String PATTERN_TIME

      See Also:
        Constant Field Values

    - #### PATTERN_YES_NO

          public static final java.lang.String PATTERN_YES_NO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### getDateAndTimeAsString

          public static java.lang.String getDateAndTimeAsString(int time)

    - #### getDateTimeAsInt

          public static int getDateTimeAsInt(java.lang.String ts)

    - #### getTimeAsString

          public static java.lang.String getTimeAsString(int secs)

    - #### getTimeAsInt

          public static int getTimeAsInt(java.lang.String duration)

    - #### getYesNoAsInt

          public static int getYesNoAsInt(java.lang.String str)

    - #### getYesNoJobAsInt

          public static int getYesNoJobAsInt(java.lang.String str)

    - #### isYes

          public static boolean isYes(java.lang.String str)

    - #### getYesNoAsString

          public static java.lang.String getYesNoAsString(int val)

    - #### getYesNoJobAsString

          public static java.lang.String getYesNoJobAsString(int val)

    - #### getMailOptionsAsString

          public static java.lang.String getMailOptionsAsString(int val)

    - #### getMailOptionsAsInt

          public static int getMailOptionsAsInt(java.lang.String val)

    - #### main

          public static void main(java.lang.String[] args)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.